/**
 * Initialises the Google Map modal popup by registering a button
 * in the TinyMCE instance.
 *
 * @since 	1.0.0
 */
( function() {

	tinymce.PluginManager.add( 'page_generator_pro_google_map', function( editor, url ) {

		// Add Button to Visual Editor Toolbar
		editor.addButton( 'page_generator_pro_google_map', {
			title: 	'Insert Google Map',
			image: 	url + '../../../../_modules/dashboard/feather/map-pin.svg',
			cmd: 	'page_generator_pro_google_map',
		} );	

		// Load View when button clicked
		editor.addCommand( 'page_generator_pro_google_map', function() {
			// Open the TinyMCE Modal
			editor.windowManager.open( {
				id: 	'page-generator-pro-modal-body',
				title: 	'Insert Google Map',
                width: 	600,
                height: 525,
                inline: 1,
                buttons:[],
            } );

			// Perform an AJAX call to load the modal's view
			jQuery.post( 
	            ajaxurl,
	            {
	                'action': 	'page_generator_pro_output_tinymce_modal',
	                'shortcode':'google-map'
	            },
	            function( response ) {
	            	// Inject HTML into modal
	            	jQuery( '#page-generator-pro-modal-body-body' ).html( response );

	            	// Reload autocomplete instances
	            	wp_zinc_autocomplete_initialize();

	            	// Initialize conditional fields
	            	page_generator_pro_conditional_fields_initialize();
	            	jQuery( 'select.wpzinc-conditional, .wpzinc-conditional select' ).trigger( 'change' );
	            }
	        );
		} );
	} );

} )();